import datetime

def date(**_args):
    """#
    This function will return a data as presented in the {x12} i.e it could be a date-range or a single date
        - In the case of a single data it is returned as a string
        - In the case of a range a complex object is returned with to,from keys
    NOTE: dates will be formatted as they
    """
    if not _args :
        return ['from','to','type']
    _date = ""
    return _date
def procedure (**_args):
    """
    This function will parse SVC element and return given the following The return object is as follows :
    claim_id,charge_amount, payment_amount,patient_amount,patient_status,claim_status

    """
    cols = ['type','code','amount']
    if not _args :
        return cols
    _procedure = dict.fromkeys(cols,None)
    _row = _args['row']
    # _document = _args['document']
    if len(_row) == 3 :
        _procedure = dict(zip(cols,_row[1:4]))
    return _procedure
    
    return _info
def SV2(**_args):
    pass
def SV3(**_args):
    pass
def HL (**_args):
    pass
def HI(**_args):
    pass